Subject: bug#71435: interactive xref-find-definitions-at-mouse

From: Philip Kaludercic <[email-masked]>
Date: Mon, 10 Jun 2024 07:07:31 +0000

Juri Linkov <[email-masked]> writes:

>>>>> Many editors allow a mouse-click operation on an identifier, plus a suitable modifier key, to jump to the
>>>>> declaration of the symbol. Emacs provides xref-find-definitions-at-mouse, but I couldn't find a way to make it
>>>>> work in response to a click.
>>>>
>>>> ??? This works for me:
>>>>
>>>>   (global-set-key [C-down-mouse-1] 'xref-find-definitions-at-mouse)
>>>
>>> Should we consider adding such a key binding by default?
>>>
>>> Is that a feature that users want?
>>
>> Perhaps one could add a global minor mode and mention it in the menu bar?
>
> I'd rather enable context-menu-mode by default.

If that is up to the discussion, I'd vote for that as well!

-- 
	Philip Kaludercic on peregrine